Topic: Problems installing Rails on XP /SP2

Hi guys I got an error trying to install Rails on Windows XP /SP2

C:\rubydev\ruby>gem install rails --include-dependencies
ERROR: While executing gem ... (Gem::RemoteFetcher::FetchError)
getaddrinfo: no address associated with hostname.(SocketError)

I have these applications Installed already:

-- Apache Web Server 2.0.59
-- MySQL 5.0
-- Ruby 1.8.5

What Can I do..??? Can you please Help me??..

Robbx

Re: Problems installing Rails on XP /SP2

Please check your network connection, DNS setting, etc.

Re: Problems installing Rails on XP /SP2

Sometimes issues like this can be resolved by installing rake first, don't ask me why as rake will be picked up anyway with --include--dependencies I believe...

gem install rake

Re: Problems installing Rails on XP /SP2

U get those error becoz either u r behind firewall or having trouble accessing internet. To install rails download the following gems   

   1. activesupport
   2. activerecord
   3. actionwebservice
   4. actionpack
   5. actionmailer
   6. rails

from this website http://rubyforge.vm.bytemark.co.uk/gems/ (download the latest version)

once you have downloaded open command prompt and type this command to Install the gems

   1. gem install activesupport
   2. gem install activerecord
   3. gem install actionpack
   4. gem install actionwebservice
   5. gem install actionmailer
   6. gem install rails